"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCardanoCli = void 0;
const child_process_1 = require("child_process");
function createCardanoCli(cardanoCliPath, eraName, genesis, jqPath) {
    const networkArg = genesis.networkId === '1'
        ? '--mainnet'
        : `--testnet-magic ${genesis.networkMagic.toString()}`;
    const eraArg = `--${eraName}-era`;
    return {
        getLedgerState: () => {
            return new Promise((resolve, reject) => {
                child_process_1.exec(`${cardanoCliPath} query ledger-state ${networkArg} ${eraArg} | 
          ${jqPath} "{accountState: .nesEs.esAccountState, esNonMyopic: { rewardPot: .nesEs.esNonMyopic.rewardPotNM } }"
          `, (error, stdout, stderr) => {
                    if (error !== null || stderr.toString() !== '') {
                        return reject(new Error(stderr.toString()));
                    }
                    return resolve(JSON.parse(stdout));
                });
            });
        },
        getTip: () => {
            return new Promise((resolve, reject) => {
                child_process_1.exec(`${cardanoCliPath} query tip ${networkArg}`, (error, stdout, stderr) => {
                    if (error !== null || stderr.toString() !== '') {
                        return reject(new Error(stderr.toString()));
                    }
                    return resolve(JSON.parse(stdout));
                });
            });
        }
    };
}
exports.createCardanoCli = createCardanoCli;
//# sourceMappingURL=CardanoCli.js.map