import { CardanoCli } from './CardanoCli';
import { AssetSupply } from './graphql_types';
import { DataFetcher } from '@cardano-graphql/util';
import { Logger } from 'ts-log';
export declare type LedgerState = {
    accountState: {
        _reserves: string;
        _treasury: string;
    };
    esNonMyopic: {
        rewardPot: string;
    };
};
export declare class CardanoNodeClient {
    private cardanoCli;
    private currentEraFirstSlot;
    private logger;
    readonly networkParams: string[];
    adaCirculatingSupply: AssetSupply['circulating'];
    ledgerStateFetcher: DataFetcher<LedgerState>;
    constructor(cardanoCli: CardanoCli, pollingInterval: number, currentEraFirstSlot: number, logger?: Logger);
    initialize(): Promise<void>;
    isInCurrentEra(): Promise<boolean>;
    shutdown(): Promise<void>;
}
//# sourceMappingURL=CardanoNodeClient.d.ts.map