"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CardanoNodeClient = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const p_retry_1 = __importDefault(require("p-retry"));
const util_1 = __importStar(require("@cardano-graphql/util"));
const ts_log_1 = require("ts-log");
class CardanoNodeClient {
    constructor(cardanoCli, pollingInterval, currentEraFirstSlot, logger = ts_log_1.dummyLogger) {
        this.cardanoCli = cardanoCli;
        this.currentEraFirstSlot = currentEraFirstSlot;
        this.logger = logger;
        this.currentEraFirstSlot = currentEraFirstSlot;
        this.ledgerStateFetcher = new util_1.DataFetcher('LedgerState', this.cardanoCli.getLedgerState, pollingInterval, this.logger);
    }
    initialize() {
        return __awaiter(this, void 0, void 0, function* () {
            yield p_retry_1.default(() => __awaiter(this, void 0, void 0, function* () {
                yield fs_extra_1.default.stat(process.env.CARDANO_NODE_SOCKET_PATH);
                const { slotNo } = yield this.cardanoCli.getTip();
                if (slotNo < this.currentEraFirstSlot) {
                    this.logger.debug('cardano-node tip', { module: 'CardanoNodeClient', value: slotNo });
                    this.logger.debug('currentEraFirstSlot', { module: 'CardanoNodeClient', value: this.currentEraFirstSlot });
                    this.logger.warn('cardano-node is still synchronizing', { module: 'CardanoNodeClient' });
                    throw new Error();
                }
            }), {
                factor: 1.5,
                retries: 39,
                onFailedAttempt: util_1.default.onFailedAttemptFor('Establishing connection to cardano-node and ensuring state is in the expected era')
            });
            yield this.ledgerStateFetcher.initialize();
        });
    }
    isInCurrentEra() {
        return __awaiter(this, void 0, void 0, function* () {
            return (yield this.cardanoCli.getTip()).slotNo >= this.currentEraFirstSlot;
        });
    }
    shutdown() {
        return __awaiter(this, void 0, void 0, function* () {
            yield this.ledgerStateFetcher.shutdown();
        });
    }
}
exports.CardanoNodeClient = CardanoNodeClient;
//# sourceMappingURL=CardanoNodeClient.js.map