"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readSecrets = void 0;
const fs_extra_1 = __importDefault(require("fs-extra"));
const path_1 = __importDefault(require("path"));
function readSecrets(rootDir) {
    return __awaiter(this, void 0, void 0, function* () {
        return {
            database: (yield fs_extra_1.default.readFile(path_1.default.join(rootDir, 'postgres_db'), 'utf8')).toString(),
            password: (yield fs_extra_1.default.readFile(path_1.default.join(rootDir, 'postgres_password'), 'utf8')).toString(),
            user: (yield fs_extra_1.default.readFile(path_1.default.join(rootDir, 'postgres_user'), 'utf8')).toString()
        };
    });
}
exports.readSecrets = readSecrets;
//# sourceMappingURL=util.js.map